{% extends '_base.html' %}
{% load static %}

{% block title %} Mailing Lists {% endblock title %}

{% block content %}
</div>
</div>
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Mailing Lists
        </p>
        <p class="subtitle">
            Expiring mail IDs
        </p>
    </div>
</section>

<div class="column is-two-thirds is-offset-1">
    <div class="section">
        <div class="columns">
            <div class="column is-10 is-offset-2">
                {% if emails == None %}
                <h1 class="title text-centered">Overview</h1>
                {% else %}
                <h1 class="title text-centered">Overview</h1>
                <table class="table">
                    <tr>
                        <th>Name</th>
                        <th>Email</th>
                        <th>Expiry</th>
                        <th>Extension (In Weeks)</th>
                        <th>Extend</th>
                    </tr>
                    {% for mail in emails %}
                    <form action={% url 'mailing_list_expiring_view' %} method="POST" type="submit">
                        {% csrf_token %}
                        <input type="hidden" value={{mail.email}} name="email">
                        <tr>
                            <td> {{mail.first_name}} {{mail.last_name}} </td>
                            <td> {{mail.email}} </td>
                            <td> {{mail.mail_expiry}} </td>
                            <td> <input type="number" name="weeks" min="1" max="52"> </td>
                            <td> <button class="button is-small is-info">Extend</button> </td>
                        </tr>
                    </form>
                    {% endfor %}
                </table>
                {% endif %}
            </div>
        </div>
    </div>
</div>
{% endblock %}